db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Knut Anders Hatlen (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DERBY-5469) Make it possible to build Derby if you are on Mac OS X and your JDK is JDK 7
Date Wed, 19 Oct 2011 17:53:11 GMT

    [ https://issues.apache.org/jira/browse/DERBY-5469?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13130817#comment-13130817
] 

Knut Anders Hatlen commented on DERBY-5469:
-------------------------------------------

java16compile.classpath is based on JDK 5 without the patch too (which is the correct behaviour,
since the JDK 5 compiler might not understand classes in a newer format). What I meant to
point out, was that if we start using java17compile.classpath to build parts of the code,
and we still want to support building with JDK 5 or JDK 6, we need to add logic to construct
java17compile.classpath from the lower version JDKs. But that logic isn't needed for now,
so I think the patch is fine.
                
> Make it possible to build Derby if you are on Mac OS X and your JDK is JDK 7
> ----------------------------------------------------------------------------
>
>                 Key: DERBY-5469
>                 URL: https://issues.apache.org/jira/browse/DERBY-5469
>             Project: Derby
>          Issue Type: Improvement
>          Components: Build tools
>            Reporter: Rick Hillegas
>            Assignee: Rick Hillegas
>         Attachments: derby-5469-01-ae-add17andJavadoc.diff
>
>


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message